# Generated from active_utils-3.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name active_utils

Name: rubygem-%{gem_name}
Version: 3.5.0
Release: 1%{?dist}
Summary: Common utils used by active_merchant, active_fulfillment, and active_shipping
License: MIT
URL: http://github.com/shopify/active_utils
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(mocha)
BuildArch: noarch

%description
Common utils used by active_merchant, active_fulfillment, and active_shipping.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/gemfiles
%{gem_libdir}
%{gem_instdir}/shipit.rubygems.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/active_utils.gemspec
%{gem_instdir}/test

%changelog
* Wed Feb 05 2025 mockbuilder - 3.5.0-1
- Initial package
